% Colophon

* * * * 

This site consists of static HTML pages generated from
[markdown](https://en.wikipedia.org/wiki/Markdown) with
[pandoc](http://johnmacfarlane.net/pandoc/).  To see the source for any
page, request a file in the directory name followed by a `.pd`.  For
example, [this page](colophon.pd).

Each page also has a makefile in its own directory, for example [this one](Makefile).

~~~~{.makefile}
TARGET:=$(shell basename `pwd`)
PANDOC=pandoc

%.html: %.pd
	$(PANDOC) -s -S --toc -c ../style.css -o index.html $<

all: $(TARGET).html

clean:
	rm index.html
~~~~

I find this method works very well for a small, simple site such as this.  
